Package org.apache.ignite.spi.discovery.tcp.internal

## Enum TcpDiscoverySpiState

- java.lang.Object
- - java.lang.Enum<TcpDiscoverySpiState>
  - - org.apache.ignite.spi.discovery.tcp.internal.TcpDiscoverySpiState

All Implemented Interfaces:
  `Serializable`, `Comparable<TcpDiscoverySpiState>`

    public enum TcpDiscoverySpiState
    extends Enum<TcpDiscoverySpiState>

State of local node `TcpDiscoverySpi`.

### Enum Constant Summary

Enum Constants
`AUTH_FAILED`
`CHECK_FAILED`
`CONNECTED`
`CONNECTING`
`DISCONNECTED`
`DISCONNECTING`
`DUPLICATE_ID`
`LEFT`
`LOOPBACK_PROBLEM`
`RING_FAILED`
`STOPPING`

### Method Summary

All Methods Static Methods Concrete Methods
`static TcpDiscoverySpiState` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TcpDiscoverySpiState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DISCONNECTED

    public static final TcpDiscoverySpiState DISCONNECTED

#### CONNECTING

    public static final TcpDiscoverySpiState CONNECTING

#### CONNECTED

    public static final TcpDiscoverySpiState CONNECTED

#### DISCONNECTING

    public static final TcpDiscoverySpiState DISCONNECTING

#### STOPPING

    public static final TcpDiscoverySpiState STOPPING

#### LEFT

    public static final TcpDiscoverySpiState LEFT

#### DUPLICATE_ID

    public static final TcpDiscoverySpiState DUPLICATE_ID

#### AUTH_FAILED

    public static final TcpDiscoverySpiState AUTH_FAILED

#### CHECK_FAILED

    public static final TcpDiscoverySpiState CHECK_FAILED

#### LOOPBACK_PROBLEM

    public static final TcpDiscoverySpiState LOOPBACK_PROBLEM

#### RING_FAILED

    public static final TcpDiscoverySpiState RING_FAILED

### Method Detail

#### values

    public static TcpDiscoverySpiState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TcpDiscoverySpiState c : TcpDiscoverySpiState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TcpDiscoverySpiState valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null